using adas_core.Domain.Models.MongoModels;
using MongoDB.Bson;

namespace adas_core.Application.Repositories.Interfaces;

public interface IPatientArchiveRepository : IMongoRepository<Patient>
{
    Task<Patient?> FindByPatientNumber(string patientNumber);

    Task<List<Patient>> FindAll();
    Task<Patient?> SearchByPatientNumberAndDistinctUnit(string patientNumber, ObjectId unitId);
}